petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscOptionsInsertFile

Inserts options into the database from a file.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscOptionsInsertFile(MPI_Comm comm,PetscOptions options,const char file[],PetscBool require)

Collective on MPI_Comm Many br

### Input Parameter

| comm | - the processes that will share the options (usually PETSC_COMM_WORLD) Many br
| options | - options database, use NULL for default global database Many br
| file | - name of file Many br
| require | - if PETSC_TRUE will generate an error if the file does not exist Many br

Notes: Use # for lines that are comments and which should be ignored. Many br

Usually, instead of using this command, one should list the file name in the call to PetscInitialize(), this insures that certain options Many brsuch as -log_summary or -malloc_debug are processed properly. This routine only sets options into the options database that will be processed by later Many brcalls to XXXSetFromOptions() it should not be used for options listed under PetscInitialize(). Many br

Many br

### See Also

PetscOptionsSetValue(), PetscOptionsView(), PetscOptionsHasName(), PetscOptionsGetInt(),
PetscOptionsGetReal(), PetscOptionsGetString(), PetscOptionsGetIntArray(), PetscOptionsBool(), Many brPetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), Many brPetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), Many brPetscOptionsBoolGroupBegin(), PetscOptionsBoolGroup(), PetscOptionsBoolGroupEnd(), Many brPetscOptionsFList(), PetscOptionsEList() Many br

Level:developer
Location:src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages